Epic Perfect World

Help! Client version is 142?!

Why is my patcher says my client version is 142 while when im seeing in the epic pw official website it's at version 140
and i get dced after clicking on my character to play, it keeps showing the error message and dc
oh and an info, i got my epic PW client from the Alternate Way (patching Epic PW patcher to my PW II malaysian server)
thanks before:)

Offline ☠EvilTouch☠

  • Retired Staff Member
  • Suns Wars Addict
  • DreamyTouch | we miss you papi♡
  • Characters: EvilTouch
  • Faction: Flower_Team
That could be it :/
Maybe some files are not compatible.
When you open the launcher, does it event ry to update or not at all ?
That could be it :/
Maybe some files are not compatible.
When you open the launcher, does it event ry to update or not at all ?
it was automatically updating like 1 hour and it completed, i can enter the game but after i made a character, i clicked start and it gets dced

Offline Agatio

  • Support Dev
  • profile picture by Mari ✿
Hello. Was it the 1.5.1 client you patched? Game should patch just fine on 1.5.1 any client.
retired
Hello. Was it the 1.5.1 client you patched? Game should patch just fine on 1.5.1 any client.
how i find out the client version of mine? 

Offline ☠EvilTouch☠

  • Retired Staff Member
  • Suns Wars Addict
  • DreamyTouch | we miss you papi♡
  • Characters: EvilTouch
  • Faction: Flower_Team
It should be displayed in the main screen before you login.
It should be displayed in the main screen before you login.
it's Ver 1.5.2
what should i do? :(

lulu

1.5.2 clients ARE not compatible with 1.5.1 servers in any way whatsoever - you'll have to download our client. You'll find the link above this post~

Thanks.